# H235_SRTP_SrtpKeyParameters_lifetime Class Reference

`#include <h235_srtp.h>`

List of all members.

## Public Types

enum | Choices { e_powerOfTwo, e_specific }

## Public Member Functions

| H235_SRTP_SrtpKeyParameters_lifetime (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H235_SRTP_SrtpKeyParameters_lifetime::Choices

Enumerator:

  e_powerOfTwo |
  e_specific |

## Constructor & Destructor Documentation

H235_SRTP_SrtpKeyParameters_lifetime::H235_SRTP_SrtpKeyParameters_lifetime | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H235_SRTP_SrtpKeyParameters_lifetime::CreateObject | ( |  | ) |

PObject* H235_SRTP_SrtpKeyParameters_lifetime::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h235_srtp.h